/**
 * XmlSerializer Workshop Copyright (c) Simon Steele, 2003
 * see included license.txt for licensing.
 */
using System;
using System.Windows.Forms;

using XmlSerializerWorkshop.DomainGlue;

namespace WorkshopLib
{
	/// <summary>Glue class allowing the external AppDomain to create 
	/// the MainForm instance and run it without knowing about its 
	/// type.</summary>
	[Serializable]
	public class Runner : MarshalByRefObject, IRunner
	{
		#region IRunner Members

		/// <summary>
		/// Create the one MainForm instance and run the application.
		/// </summary>
		public void Run()
		{
			Application.EnableVisualStyles();
			Application.DoEvents();

			XmlSerializerWorkshop.MainForm mf = new XmlSerializerWorkshop.MainForm();
			mf.Abuser.OnAssemblyCreated += new AssemblyCreatedDelegate(Abuser_OnAssemblyCreated);
			Application.Run(mf);
		}

		/// <summary>Event called when a temporary assembly is created.</summary>
		public event XmlSerializerWorkshop.DomainGlue.AssemblyCreatedDelegate OnAssemblyCreated;

		#endregion

		private void Abuser_OnAssemblyCreated(string basename, string location)
		{
			OnAssemblyCreated(basename, location);
		}
	}
}
