/**
 * XmlSerializer Workshop Copyright (c) Simon Steele, 2003
 * see included license.txt for licensing.
 */
using System;
using System.Collections;
using System.IO;
using System.Windows.Forms;

namespace XmlSerializerWorkshop
{
	/// <summary>
	/// Summary description for SourceViewer.
	/// </summary>
	public class SourceViewer : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button button1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox txtCompilerOutput;
		private System.Windows.Forms.TextBox txtSource;

		TestInfo _info = null;

		public SourceViewer()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();			
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.button1 = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.txtCompilerOutput = new System.Windows.Forms.TextBox();
			this.txtSource = new System.Windows.Forms.TextBox();
			this.SuspendLayout();
			// 
			// button1
			// 
			this.button1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.button1.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.button1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.button1.Location = new System.Drawing.Point(304, 400);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(80, 24);
			this.button1.TabIndex = 0;
			this.button1.Text = "&Close";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 152);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(112, 16);
			this.label1.TabIndex = 2;
			this.label1.Text = "Generated Source:";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(8, 8);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(112, 16);
			this.label2.TabIndex = 3;
			this.label2.Text = "Compiler Output:";
			// 
			// txtCompilerOutput
			// 
			this.txtCompilerOutput.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtCompilerOutput.Location = new System.Drawing.Point(8, 24);
			this.txtCompilerOutput.Multiline = true;
			this.txtCompilerOutput.Name = "txtCompilerOutput";
			this.txtCompilerOutput.ReadOnly = true;
			this.txtCompilerOutput.ScrollBars = System.Windows.Forms.ScrollBars.Both;
			this.txtCompilerOutput.Size = new System.Drawing.Size(376, 120);
			this.txtCompilerOutput.TabIndex = 4;
			this.txtCompilerOutput.Text = "";
			// 
			// txtSource
			// 
			this.txtSource.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtSource.Font = new System.Drawing.Font("Courier New", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.txtSource.Location = new System.Drawing.Point(8, 168);
			this.txtSource.Multiline = true;
			this.txtSource.Name = "txtSource";
			this.txtSource.ScrollBars = System.Windows.Forms.ScrollBars.Both;
			this.txtSource.Size = new System.Drawing.Size(376, 224);
			this.txtSource.TabIndex = 5;
			this.txtSource.Text = "";
			// 
			// SourceViewer
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(392, 438);
			this.Controls.Add(this.txtSource);
			this.Controls.Add(this.txtCompilerOutput);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.button1);
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "SourceViewer";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "Extended Information...";
			this.ResumeLayout(false);

		}
		#endregion


		public TestInfo Info
		{
			set
			{
				_info = value;
				txtCompilerOutput.Text = _info.outData;
				txtSource.Text = (new StreamReader(_info.csSourcePath)).ReadToEnd();
			}
		}
	}
}
